GET/projects/api/v3/links/{linkId}/project.json

Get the parent project for a specific link item.

Returns the project that the given link item belongs to.

Path Params

  • Name
    linkId
    Type
    integer
    required
    Description

Query Params

  • Name
    includeProjectUserInfo
    Type
    boolean
    Description

    fetch user-specific data such as isStarred and permissions

    Default
    false
  • Name
    includeProjectDates
    Type
    boolean
    Description

    include minimum and maximum start/end dates for the project

    Default
    false
  • Name
    includeCustomFields
    Type
    boolean
    Description

    include custom fields

    Default
    false
  • Name
    includeCustomFieldIds
    Type
    array[integer]
    Description

    include specific custom fields

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • projectOwners
    • projectUpdates
    • companies
    • companies.countries
    • companies.industries
    • companies.currencies
    • projectCategories
    • portfolioCards
    • portfolioBoards
    • portfolioColumns
    • tags
    • customfields
    • customfieldProjects
    • projectBudgets
    • activities.latest
    • users
    • createdBy
    • updatedBy
    • completedBy
    • deletedBy
    • projectEmailDropboxes
  • Name
    fields[projects]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • type
    • status
    • company
    • companyId
    • categoryId
    • startPage
    • logoIcon
    • logoColor
    • updatedAt
    • isStarred
    • allowNotifyAnyone
    • notifyTaskAssignee
    • isBillable
    • timelogRequiresTask

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    responseV205 contains information about a project.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

responseV205
{  "included": {    "activities": {      "additionalProp": {        "datetime": "string",        "description": "string",        "extraDescription": "string",        "id": 0,        "itemLink": "string",        "itemType": "string",        "latestType": "string",        "link": "string",        "user": {          "id": 0,          "meta": {},          "type": "string"        }      }